- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/checkEnablementStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/checkEnablementStatus#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/checkEnablementStatus#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/checkEnablementStatus#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/checkEnablementStatus#body.CheckEnablementStatusResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/checkEnablementStatus#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.enterprise.securityInsights/checkEnablementStatus#try-it)

Gets the setting state of the insights feature for the customer.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/enterprise/securityInsights:checkEnablementStatus`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer to check the enablement status for. Format: customers/{customer_id} |

### Request body

The request body must be empty.

### Response body

Response from checking the enablement status of insights for the customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "insightsState": enum (`https://developers.google.com/chrome/management/reference/rest/v1/InsightsEnablementState`) } ``` |

| Fields ||
|---|---|
| `insightsState` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/InsightsEnablementState`)`` The state of the insights feature. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chrome.management.securityinsights.readonly`
- `https://www.googleapis.com/auth/chrome.management.securityinsights`